// pages/forum/forum.js
//获取应用实例
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    treeData: null, //文章数据
  },

 

  //----------------------------查询所有文章-------------------------------
  listTree() {
    if (!app.globalData.hasLogin) {
      wx.showModal({
        title: '提示',
        content: '你还没有登录喔',
        success: function (res) {
          if (res.confirm) { //这里是点击了确定以后
            wx.switchTab({
              url: '/pages/own/own',
            })
          } else { //这里是点击了取消以后
            that.errShowToast('你还没有登录喔');
          }
        }
      })
      return
    }
    var that = this;
    wx.request({
      url: app.globalData.myUrl + '/user/treeListByUser',
      method: 'GET',
      data:{
        token:app.globalData.token
      },
      success: (res) => {
        // console.log(res.data);
        if (res.data.success) {
          that.setData({
            treeData: res.data.msg
          });
        }else{
          that.errShowToast(res.data.msg)
        }
      },
      fail: (res) => {},
    })
  },

  //-------------------------获取指定文章详情----------------------------
  getTree(e) {
    wx.navigateTo({
      url:'/pages/chatDetailed/chatDetailed?id='+e.currentTarget.id
    })
  },

  //---------------------------函数封装------------------------------
  errShowToast: function (toastText) {
    wx.showToast({
      title: toastText,
      image: '/images/password.png',
      duration: 2000
    });
  },
  sucShowToast: function (toastText) {
    wx.showToast({
      title: toastText,
      duration: 2000
    });
  },



  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.listTree();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.listArticle();
    // console.log(123);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})